Debian Bug report logs - #661127
cups-filters: please build depend on libfontconfig1-dev

version graph

Package: cups-filters; Maintainer for cups-filters is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups-filters is src:cups-filters.

Reported by: Pino Toscano <pino@debian.org>

Date: Fri, 24 Feb 2012 11:12:02 UTC

Severity: normal

Found in version cups-filters/1.0.2-1

Fixed in version cups-filters/1.0.4-1

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#661127; Package cups-filters. (Fri, 24 Feb 2012 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 24 Feb 2012 11:12:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups-filters: please build depend on libfontconfig1-dev
Date: Fri, 24 Feb 2012 12:09:39 +0100
Package: cups-filters
Version: 1.0.2-1
Severity: normal

Hi,

cups-filters requires fontconfig, and at the moment
libfontconfig1-dev is installed (implicitly) by libpoppler-dev.
Since future versions of poppler (0.18 and on) do not explicitly
#include fontconfig headers in any of the poppler private headers,
I would like to drop the libfontconfig1-dev dependency in
libpoppler-dev.
Can you please explicitly build depend on libfontconfig1-dev?

Thanks,
-- 
Pino




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#661127; Package cups-filters. (Fri, 24 Feb 2012 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 24 Feb 2012 11:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 661127@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Pino Toscano <pino@debian.org>, 661127@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#661127: cups-filters: please build depend on libfontconfig1-dev
Date: Fri, 24 Feb 2012 12:23:36 +0100
[Message part 1 (text/plain, inline)]
tag 661127 pending
thanks

Hello Pino,

Pino Toscano [2012-02-24 12:09 +0100]:
> cups-filters requires fontconfig, and at the moment
> libfontconfig1-dev is installed (implicitly) by libpoppler-dev.
> Since future versions of poppler (0.18 and on) do not explicitly
> #include fontconfig headers in any of the poppler private headers,
> I would like to drop the libfontconfig1-dev dependency in
> libpoppler-dev.
> Can you please explicitly build depend on libfontconfig1-dev?

Indeed we noticed yesterday when building this in Ubuntu (which has
poppler 0.18 already). The change is already in bzr, I added this bug
ref to the changelog now.

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Fri, 24 Feb 2012 11:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#661127; Package cups-filters. (Fri, 24 Feb 2012 11:54:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 24 Feb 2012 11:54:58 GMT) Full text and rfc822 format available.

Message #17 received at 661127@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 661127@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#661127: cups-filters: please build depend on libfontconfig1-dev
Date: Fri, 24 Feb 2012 12:51:43 +0100
[Message part 1 (text/plain, inline)]
Alle venerdì 24 febbraio 2012, Martin Pitt ha scritto:
> Pino Toscano [2012-02-24 12:09 +0100]:
> > cups-filters requires fontconfig, and at the moment
> > libfontconfig1-dev is installed (implicitly) by libpoppler-dev.
> > Since future versions of poppler (0.18 and on) do not explicitly
> > #include fontconfig headers in any of the poppler private headers,
> > I would like to drop the libfontconfig1-dev dependency in
> > libpoppler-dev.
> > Can you please explicitly build depend on libfontconfig1-dev?
> 
> Indeed we noticed yesterday when building this in Ubuntu (which has
> poppler 0.18 already).

I see today you sync'ed poppler from exp, nice.
Unfortunately this change breaks, other than cups-filters, 5 more 
sources (all reported yesterday and today by me); given the so close 
timing with your Ubuntu release, I suggest you adding back the 
libfontconfig1-dev dependency in libpoppler-dev in Ubuntu. Regarding 
Debian, I will put it back too when starting the poppler 0.18 transition 
and uploading it to unstable, in case not all of the reported bugs have 
been fixed yet.

> The change is already in bzr, I added this bug
> ref to the changelog now.

Thanks!

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#661127; Package cups-filters. (Mon, 27 Feb 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin.pitt@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 27 Feb 2012 08:00:04 GMT) Full text and rfc822 format available.

Message #22 received at 661127@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin.pitt@ubuntu.com>
To: Pino Toscano <pino@debian.org>
Cc: 661127@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#661127: cups-filters: please build depend on libfontconfig1-dev
Date: Mon, 27 Feb 2012 08:57:48 +0100
[Message part 1 (text/plain, inline)]
Hello Pino,

Pino Toscano [2012-02-24 12:51 +0100]:
> Unfortunately this change breaks, other than cups-filters, 5 more 
> sources (all reported yesterday and today by me); given the so close 
> timing with your Ubuntu release, I suggest you adding back the 
> libfontconfig1-dev dependency in libpoppler-dev in Ubuntu. Regarding 
> Debian, I will put it back too when starting the poppler 0.18 transition 
> and uploading it to unstable, in case not all of the reported bugs have 
> been fixed yet.

Thanks for pointing this out, this makes sense. I uploaded a new
version to put it back again (will land after beta-1 freeze).

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Wed, 07 Mar 2012 13:51:49 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Wed, 07 Mar 2012 13:51:55 GMT) Full text and rfc822 format available.

Message #27 received at 661127-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 661127-close@bugs.debian.org
Subject: Bug#661127: fixed in cups-filters 1.0.4-1
Date: Wed, 07 Mar 2012 13:47:55 +0000
Source: cups-filters
Source-Version: 1.0.4-1

We believe that the bug you reported is fixed in the latest version of
cups-filters, which is due to be installed in the Debian FTP archive:

cups-filters_1.0.4-1.debian.tar.gz
  to main/c/cups-filters/cups-filters_1.0.4-1.debian.tar.gz
cups-filters_1.0.4-1.dsc
  to main/c/cups-filters/cups-filters_1.0.4-1.dsc
cups-filters_1.0.4-1_amd64.deb
  to main/c/cups-filters/cups-filters_1.0.4-1_amd64.deb
cups-filters_1.0.4.orig.tar.gz
  to main/c/cups-filters/cups-filters_1.0.4.orig.tar.gz
libcupsfilters-dev_1.0.4-1_amd64.deb
  to main/c/cups-filters/libcupsfilters-dev_1.0.4-1_amd64.deb
libcupsfilters1_1.0.4-1_amd64.deb
  to main/c/cups-filters/libcupsfilters1_1.0.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661127@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups-filters package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 07 Mar 2012 14:36:49 +0100
Source: cups-filters
Binary: libcupsfilters1 cups-filters libcupsfilters-dev
Architecture: source amd64
Version: 1.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups-filters - OpenPrinting CUPS Filters
 libcupsfilters-dev - OpenPrinting CUPS Filters - Development files for the library
 libcupsfilters1 - OpenPrinting CUPS Filters - Shared library
Closes: 495598 661127 662295 662660
Changes: 
 cups-filters (1.0.4-1) unstable; urgency=low
 .
   [ Till Kamppeter ]
   * New upstream release
     - cups-filters 1.0.4 release
     - texttopdf: Fall back to altermative fonts via fontconfig if the
       FreeMono TrueType fonts are not installed (Closes: #495598,
       Closes: #662660).
     - bannertopdf: Fix off-by-one error in page duplication
     - bannertopdf: Put indirect references to streams into the page's
       contents
     - bannertopdf: Let byte offsets for the Xref table of the PDF output
       being determined correctly also when the output goes to stdout
       (LP: #939735).
     - bannertopdf: Output multiple copies of the test page if duplex
       and/or N-up is chosen, to let the test page appear on all possible
       positions of the sheet (LP: #939530).
     - bannertopdf: Scale test page template to fit the job's page size,
       get and display full page geometry information, draw the frame which
       marks the printable area 1pt smaller, to assure that it gets completely
       visible (LP: #921073).
   * debian/local/default-testpage.pdf: Added missing "Q" operator to the end of
     the page. This broke N-up printing with pdftopdf (LP: #939530).
   * debian/control: Added explicit build dependency on libfontconfig1-dev.
     (Closes: #661127)
   * debian/control: Changed font dependency (for texttopdf) to "ttf-freefont |
     fonts-liberation | ttf-dejavu" instead of only "ttf-freefont"
     (Closes: #495598, Closes: #662660).
 .
   [ Martin Pitt ]
   * debian/control: Build against libpng-dev, with an alternative to the older
     libpng12-dev. (Closes: #662295)
   * debian/control: Prefer building against libtiff5-dev if available, falling
     back to libtiff-dev.
   * debian/control, debian/rules: Move from hardening-wrapper to using
     dpkg-buildflags. Bump dpkg-dev build dependency to (>= 1.16.1~) for this.
   * debian/copyright: Update Format header for official copyright format 1.0.
   * debian/control: Bump Standards-Version to 3.9.3.
   * debian/rules: Drop LC_MESSAGES setting, leftover from cups.
   * debian/control: Bump libcupsimage2-dev build dependency to ensure to build
     against a version which does not conflict on the libtiff?-dev build
     dependency.
Checksums-Sha1: 
 06977eb2b39e754bc4c4e7df35b801d5eb6407f1 2495 cups-filters_1.0.4-1.dsc
 f697c8ba9b50c5c9b5eb87aa5b42a9f1885d967f 989868 cups-filters_1.0.4.orig.tar.gz
 d9d36b6a14884489c53a3f0035438dd341f99331 36980 cups-filters_1.0.4-1.debian.tar.gz
 c6f6a52ca6ca696c4680e8a2873329395e721644 63162 libcupsfilters1_1.0.4-1_amd64.deb
 d1a23bf0f44053303130e468356e38e28c1c1bcc 373538 cups-filters_1.0.4-1_amd64.deb
 c7953a804cc2e5c920b07b7d2bc9fdf880de192d 74344 libcupsfilters-dev_1.0.4-1_amd64.deb
Checksums-Sha256: 
 4d437c6bfb4f427d359f0b75b1b0503b5a0b7bfc9bfda29b5d7b810ad5816bb6 2495 cups-filters_1.0.4-1.dsc
 c606fe420f166926b772a201fdd363f0ca34bb1ed40ee5ff5ced78fe666158c0 989868 cups-filters_1.0.4.orig.tar.gz
 59631e788c9410d14f645a1c0f126607460da8bb44decd2411f26b8f51f080b4 36980 cups-filters_1.0.4-1.debian.tar.gz
 c2675dd9de4f40445eb99b810437fe273f6ad224a3e475408ced4a7aad09a71c 63162 libcupsfilters1_1.0.4-1_amd64.deb
 318da78b4cb1a2fcbb4be30eea767788be99b9bbaf080bf803eb4e906b7000d4 373538 cups-filters_1.0.4-1_amd64.deb
 fa1edaf2135b4fdfb1ad7ddd0b78b94988edbf895b646149778c58cf410474e1 74344 libcupsfilters-dev_1.0.4-1_amd64.deb
Files: 
 9542935e05c5c5ba4001097c4638379f 2495 net optional cups-filters_1.0.4-1.dsc
 20f01880493882ecd97442d644a6c1bc 989868 net optional cups-filters_1.0.4.orig.tar.gz
 162a97d1a01eb52bd969cc5ee3a375af 36980 net optional cups-filters_1.0.4-1.debian.tar.gz
 ac75e421060e3bb8fdd9860cc9ba0340 63162 libs optional libcupsfilters1_1.0.4-1_amd64.deb
 60e237c756b50db8449074f19b2bec6a 373538 net optional cups-filters_1.0.4-1_amd64.deb
 4e0f0da07bb70d996d2e452541eda58d 74344 libdevel optional libcupsfilters-dev_1.0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPV2UHAAoJEPmIJawmtHufIjsP/2keN9lMQS4uWY2fQVJjlJFc
uerh3myzcBRwC4cBNYs702Dc8gjRT9ETKHNgqg/UxQF2ckubZfYB7t1wBKJvPEa3
KVK0Tb/ECr+yRe5OQ+tJHg7yclNc93DzEjxZojuWJEEkmhiZTO/pahK34Xr6y/tR
fB8yCsXu6IKFU1YNPS9zAJBzuF2VyndW7B3u5AfcVf5l7Q+T0eK7K3T8RHwdfxpN
WJ6J+omIN5Z65PTtOZnPkaqgxFVT2WAhch5BGEE8O92s7+Jd+62KIa43Iy5oJgTs
0K/KPAophTUQY4TRxZxJF+YI4Iecsw6tjezwjqs+iUfViBssBSX3z32bqP/YL4RT
eLhPcQ75DdoP3kVjYHF8X5m6RiyTumWmwpDmOvXr6hgbprjl6DdDv0PBBi5aRFZU
/CvYiFeNGAXgmHd2dHsmQDt9z1KYm/FuHoJUiaKM2BNnwxTHZ8hzF18t+eqQ8DPX
2vbJCuTdKPNKtGtB4hR6xhWqI0rb2k8eXBkzAamLuQktceRj4iJ1+gPVPR4Nr6Jx
wJTB92jHggcPsOgI5++pUFtfKsrpb/s1EjOGJzXYupnOgdGtYE5T6C6rmQzPyKx0
0RrJRpPv2lMwdYatHC/TjtzHZBglTo7rFsoDhaC8x3f062P3wGr2HJMK0nA4ZRnX
Ru2z7EeVIvA0OQ9ARkN2
=6s1s
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 May 2012 07:37:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:57:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.